class Mensch { 
	float gewicht;
	boolean maennlich;
	int groesse;
}

class UE9Aufgabe12 {

	public static void main(String[] args) {
		do {
			Mensch mensch = menschEinlesen();
			menschUeberpruefen(mensch);
		} while (weitereUeberpruefung());
	}

	static Mensch menschEinlesen() {
		Mensch person = new Mensch();
		person.groesse = IO.readInt("Groesse (cm) eingeben: ");
		person.gewicht = IO.readFloat("Gewicht (kg) eingeben: ");
		person.maennlich = IO.readChar("Maennlich (m/w): ") == 'm';
		return person;
	}

	static boolean weitereUeberpruefung() {
		char weiter = IO.readChar("Weitere Ueberpruefung (j/n)?");
		return weiter == 'j';
	}

	static void menschUeberpruefen(Mensch m) {
		float normalgewicht = normalgewichtBerechnen(m.groesse);
		float idealgewicht = idealgewichtBerechnen(normalgewicht, m.maennlich);

		if (menschHatUebergewicht(m.gewicht, normalgewicht)) {
			IO.println("Alter Fettsack!");
		} else if (menschHatUntergewicht(m.gewicht, idealgewicht)) {
			IO.println("Na, du Hungerhaken!");
		} else {
			IO.println("Idealer Gewichtsbereich!");
		}
	}

	static float normalgewichtBerechnen(int cm) {
		return cm - 100;
	}

	static float idealgewichtBerechnen(float normalgewicht, boolean maennlich) {
		if (maennlich) {
			return normalgewicht / 100.0f * 90.0f;
		} else {
			return normalgewicht / 100.0f * 85.0f;
		}
	}

	static boolean menschHatUebergewicht(float gew, float normal) {
		return gew > normal;
	}

	static boolean menschHatUntergewicht(float gewicht, float ideal) {
		return gewicht < ideal;
	}
}
